cascading.tap.hadoop.io

## Class MultiInputFormat

- java.lang.Object
- - cascading.tap.hadoop.io.MultiInputFormat

- All Implemented Interfaces:
    InputFormat

      public class MultiInputFormat
      extends java.lang.Object
      implements InputFormat

  Class MultiInputFormat accepts multiple InputFormat class declarations allowing a single MR job to read data from incompatible file types.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiInputFormat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addInputFormat(JobConf toJob, JobConf... fromJobs)` Used to set the current JobConf with all sub jobs configurations.
    `RecordReader` | `getRecordReader(InputSplit split, JobConf job, Reporter reporter)` Method getRecordReader delegates to the appropriate InputFormat.
    `InputSplit[]` | `getSplits(JobConf job, int numSplits)` Method getSplits delegates to the appropriate InputFormat.
    `void` | `validateInput(JobConf job)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiInputFormat

          public MultiInputFormat()

  - ### Method Detail

    - #### addInputFormat

          public static void addInputFormat(JobConf toJob,
                            JobConf... fromJobs)

      Used to set the current JobConf with all sub jobs configurations.
      Parameters:
        `toJob` -
        `fromJobs` -

    - #### validateInput

          public void validateInput(JobConf job)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getSplits

          public InputSplit[] getSplits(JobConf job,
                               int numSplits)
                                 throws java.io.IOException

      Method getSplits delegates to the appropriate InputFormat.
      Specified by:
        `getSplits` in interface `InputFormat`
      Parameters:
        `job` - of type JobConf
        `numSplits` - of type int
      Returns:
        InputSplit[]
      Throws:
        `java.io.IOException` - when

    - #### getRecordReader

          public RecordReader getRecordReader(InputSplit split,
                                     JobConf job,
                                     Reporter reporter)
                                       throws java.io.IOException

      Method getRecordReader delegates to the appropriate InputFormat.
      Specified by:
        `getRecordReader` in interface `InputFormat`
      Parameters:
        `split` - of type InputSplit
        `job` - of type JobConf
        `reporter` - of type Reporter
      Returns:
        RecordReader
      Throws:
        `java.io.IOException` - when

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.